package cn.com.infosec.asn1.cms;

import cn.com.infosec.asn1.ASN1SequenceParser;
import cn.com.infosec.asn1.DERInteger;
import cn.com.infosec.asn1.x509.AlgorithmIdentifier;

public class CompressedDataParser {
   private DERInteger _version;
   private AlgorithmIdentifier _compressionAlgorithm;
   private ContentInfoParser _encapContentInfo;

   public CompressedDataParser(ASN1SequenceParser seq) {
      this._version = (DERInteger)seq.readObject();
      this._compressionAlgorithm = AlgorithmIdentifier.getInstance(seq.readObject().getDERObject());
      this._encapContentInfo = new ContentInfoParser((ASN1SequenceParser)seq.readObject());
   }

   public DERInteger getVersion() {
      return this._version;
   }

   public AlgorithmIdentifier getCompressionAlgorithmIdentifier() {
      return this._compressionAlgorithm;
   }

   public ContentInfoParser getEncapContentInfo() {
      return this._encapContentInfo;
   }
}
